/* Slider default CSS */
.gamezi-boxes-slider.ttm-boxes-carousel-arrows-1 .gamezi-boxes-row-wrapper .slick-next {
    right: 50px;
}
.gamezi-boxes-slider.ttm-boxes-carousel-arrows-1 .gamezi-boxes-row-wrapper .slick-prev {
    left: 50px;
}
.gamezi-boxes-slider .ttm-box-col-wrapper.ttm-slider-item {
    margin: 0 !important;
}
.ttm-slider-box-wrapper {
    padding: 100px 0 100px 0;
    position: relative;
    overflow: hidden;
    width: 100%;
    display: inline-block;
}

.ttm-slider-box-wrapper .ttm-slider-box-details { 
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
}
.ttm-slider-box-wrapper .ttm-slider-box-details.content-right { 
    float: right;
    text-align: right;
}
.ttm-slider-box-wrapper .ttm-slider-box-details.content-center {
    text-align: center;
}

.ttm-slider-extra-image {
	position: absolute;
	z-index: 5;
	pointer-events: none; 
}

.ttm-slider-button-link, .ttm-slider-button-link a {
    display: inline-block;
    vertical-align: top;
}
.ttm-slider-tagline {
    font-size: 25px;
    line-height: 35px;
    margin-bottom: 20px;
}
.ttm-slider-description {
    margin-bottom: 40px;
}
.ttm-slider-title {
    font-size: 60px;
    line-height: 70px;
    margin-bottom: 60px;
}
.ttm-slider-title-wrapper {
    transition: transform 0.2s ease;
    will-change: transform;
}
.ttm-slider-button-link a {
    padding: 0 30px;
    background: transparent;
    font-size: var(--button_fontsize);
    line-height: var(--button_fontsize);
    font-weight: var(--button-font-weight);
    border-radius: var(--ttm-button-shape) 0;
    color: var(--ttm-whitecolor);
    transition: all 0.3s ease;
    border: 1px solid var(--ttm-skincolor);
    text-transform: var(--button-text-transform);
    letter-spacing: var(--button-letter-spacing);
    padding-top: var(--button-topbottom-padding);
    padding-bottom: var(--button-topbottom-padding);
	backdrop-filter: blur(10px);
}
.ttm-slider-button-link a:hover{
    background: var(--ttm-skincolor);
    color: var(--ttm-blackishcolor);
    border-radius: 0 var(--ttm-button-shape);
    transition: all 0.3s ease;
    border-color: var(--ttm-skincolor);
}
.ttm-slider-bg-overlay {
	position: absolute;
	inset: 0;
	z-index: 1;
	background-color: #000; /* You can change this to any overlay color */
	pointer-events: none;
	transition: opacity 0.3s ease;
}

.gamezi-boxes-slider.gamezi-boxes-view-carousel .slick-dots {
    bottom: 30px;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-hide .gamezi-boxes-row-wrapper .slick-arrow {
    display: none !important;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-above .gamezi-boxes-row-wrapper .slick-arrow {
    top: 50px;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-below .gamezi-boxes-row-wrapper .slick-arrow {
    bottom: 0px;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-above .gamezi-boxes-row-wrapper .slick-arrow.slick-next,
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-below .gamezi-boxes-row-wrapper .slick-arrow.slick-next {
    right: auto;
    left: 75px;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-above .gamezi-boxes-row-wrapper .slick-arrow.slick-prev,
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-below .gamezi-boxes-row-wrapper .slick-arrow.slick-prev {
    left: 15px;
}
.gamezi-boxes-view-carousel.ttm-boxes-carousel-arrow-below .gamezi-boxes-row-wrapper .slick-arrow {
    bottom: 50px;
    top: auto;
}
/* Control per-device visibility */
.ttm-slider-extra-image.elementor-hidden-desktop {
	display: none !important;
}
@media (max-width: 1024px) {
	.ttm-slider-extra-image.elementor-hidden-tablet {
		display: none !important;
	}
}
@media (max-width: 767px) {
	.ttm-slider-extra-image.elementor-hidden-mobile {
		display: none !important;
	}
}
